export const LOGIN = "LOGIN";
export const LOGOUT = "LOGOUT";
export const LOGIN_LOADING = "LOGIN_LOADING";
export const LOGIN_FAILED = "LOGIN_FAILED";

export const ADD_COURSES = "ADD_COURSES";
export const COURSES_LOADING = "COURSES_LOADING";
export const COURSES_FAILED = "COURSES_FAILED";
export const ADD_COURSE = "ADD_COURSE";
export const COURSE_LOADING = "COURSE_LOADING";
export const COURSE_FAILED = "COURSE_FAILED";

export const MODULES_LOADING = "MODULES_LOADING";
export const MODULES_FAILED = "MODULES_FAILED";

export const ADD_ITEMS = "ADD_ITEMS";
export const ITEMS_LOADING = "ITEMS_LOADING";
export const ITEMS_FAILED = "ITEMS_FAILED";

export const USERS_LOADING = "USERS_LOADING";
export const USERS_FAILED = "USERS_FAILED";
export const ADD_USERS = "ADD_USERS";
export const FILTER_USERS = "FILTER_USERS";
export const UPDATE_USERS = "UPDATE_USERS";
export const DELETE_USERS = "DELETE_USERS";
export const ENROLL_USERS = "ENROLL_USERS";

export const ADD_GROUPS = "ADD_GROUPS";
export const CREATE_GROUP = "CREATE_GROUP";
export const ADD_USERS_TO_GROUP = "ADD_USERS_TO_GROUP";
export const GROUPS_LOADING = "GROUPS_LOADING";
export const GROUPS_FAILED = "GROUPS_FAILED";

export const SOCKET_CONNECTING = "SOCKET_CONNECTING";
export const SOCKET_CONNECTED = "SOCKET_CONNECTED";
export const SOCKET_FAILED = "SOCKET_FAILED";
export const SOCKET_DISCONNECT = "SOCKET_DISCONNECT";
export const SOCKET_UPDATE = "SOCKET_UPDATE";
export const SOCKET_RECONNECT = "SOCKET_RECONNECT";
